Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab
Class ItemOperation

    java.lang.Object
      com.compoze.collab.ItemOperation

All Implemented Interfaces
  IDigestSupport

    public class ItemOperation

extends Object
implements IDigestSupport

Defines an operation that can be performed on an item.

Constructor Summary
`ItemOperation(int iID, Class[] operandTypes, String sInternalName)` Construct an ItemOperation that takes operands.
`ItemOperation(int iID, String sInternalName)` Construct an ItemOperation that takes no operands.

Method Summary
`void` | `checkOperandTypes(com.compoze.collab.spi.Context context, Object[] params)` Check whether parameters are compatible with the specified parameter types for this ItemOperation.
`String` | `getInternalName()` Gets the internal name of the item operation (used for debugging purposes).
`int` | `getIntValue()` Gets the integer value of the operation so it can be switched on.
`Class[]` | `getOperandTypes()` Get the operand types.
`String` | `toString()`
`void` | `updateDigest(MessageDigest digest)` Updates the specified MessageDigest with the object's internal state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ItemOperation

    public ItemOperation(int iID,
                         String sInternalName)

  Construct an ItemOperation that takes no operands.

  Parameters
    `iID` - the int ID

### ItemOperation

    public ItemOperation(int iID,
                         Class[] operandTypes,
                         String sInternalName)

  Construct an ItemOperation that takes operands.

  Parameters
    `iID` - the int ID
    `operandTypes` - the type for each elements of params[]

Method Detail

### getInternalName

    public String getInternalName()

  Gets the internal name of the item operation (used for debugging purposes).

  Returns
    the internal name (not `null`)

### getIntValue

    public int getIntValue()

  Gets the integer value of the operation so it can be switched on.

  Returns
    the int value

### getOperandTypes

    public Class[] getOperandTypes()

  Get the operand types.

  Returns
    the operand types

### checkOperandTypes

    public final void checkOperandTypes(com.compoze.collab.spi.Context context,
                                        Object[] params)
                                 throws CollaborationRuntimeException

  Check whether parameters are compatible with the specified parameter types for this ItemOperation.

  Parameters
    `context` -
    `params` -
  Throws
    `CollaborationRuntimeException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### updateDigest

    public void updateDigest(MessageDigest digest)

  Description copied from interface: `IDigestSupport`
  Updates the specified MessageDigest with the object's internal state.

  Specified by:
    `updateDigest` in interface `IDigestSupport`
  Parameters
    `digest` - the digest to update (not `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved